Bug 246593 - databases/py-pymemcache: update to 3.2.0
Summary: databases/py-pymemcache: update to 3.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://github.com/pinterest/pymemcac...
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2020-05-20 05:47 UTC by Alessandro Sagratini
Modified: 2020-05-31 06:32 UTC (History)
2 users (show)

See Also:


Attachments
trivial update of distinfo and port version (1.37 KB, patch)
2020-05-20 05:47 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff
Poudriere failed build log (15.30 KB, text/plain)
2020-05-30 08:42 UTC, Hiroki Tagato
no flags Details
trivial update of distinfo and port version (1.25 KB, patch)
2020-05-30 09:22 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2020-05-20 05:47:40 UTC
Created attachment 214677 [details]
trivial update of distinfo and port version

Trivial update of Makefile and distinfo
Comment 1 Fernando Apesteguía freebsd_committer 2020-05-20 06:02:08 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Hiroki Tagato freebsd_committer 2020-05-30 08:42:40 UTC
Created attachment 215046 [details]
Poudriere failed build log

Hi,

I tried to build the port with poudriere and failed. (A build log is attached.)

Maybe py-six is necessary as BUILD_DEPENDS as well?
Comment 3 Alessandro Sagratini 2020-05-30 09:22:23 UTC
Created attachment 215049 [details]
trivial update of distinfo and port version

adding correct patch file
Comment 4 Alessandro Sagratini 2020-05-30 09:24:34 UTC
Hello Hiroki,
thanks for pointing that out, you are absolutely correct, previous patch file was removing py-six from BUILD_DEPENDS and added it to RUN_DEPENDS, which is not right.

I have just uploaded a new file: please let me know if there's any issue with that :)

Thank you
Comment 5 Hiroki Tagato freebsd_committer 2020-05-31 05:14:42 UTC
(In reply to Alessandro Sagratini from comment #4)

I see the line added:

DEVELOPER= yes

I guess this is a leftover from port development/testing and safely removed from Makefile. Can confirm that?
Comment 6 Alessandro Sagratini 2020-05-31 05:41:19 UTC
Hello Hiroki,
that is correct, it is a leftover from port testing and it can be safely removed from Makefile.

Let me know if there is anything else you need from me.
Thank you
Comment 7 commit-hook freebsd_committer 2020-05-31 06:30:40 UTC
A commit references this bug:

Author: tagattie
Date: Sun May 31 06:30:24 UTC 2020
New revision: 537121
URL: https://svnweb.freebsd.org/changeset/ports/537121

Log:
  Update to 3.2.0

  PR:		246593
  Submitted by:	Alessandro Sagratini <ale_sagra@hotmail.com> (maintainer)
  Approved by:	mentors (implicit)
  Changelog:	https://github.com/pinterest/pymemcache/releases/tag/v3.2.0

Changes:
  head/databases/py-pymemcache/Makefile
  head/databases/py-pymemcache/distinfo
Comment 8 Hiroki Tagato freebsd_committer 2020-05-31 06:32:32 UTC
Committed, thanks!